Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class PushTopicRegistration

    java.lang.Object
      org.hornetq.rest.queue.push.xml.PushRegistration
          org.hornetq.rest.topic.PushTopicRegistration

All Implemented Interfaces:
  java.io.Serializable

    public class PushTopicRegistration

extends PushRegistration

Version:
  $Revision: 1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`PushTopicRegistration()`

Method Summary
`java.lang.String` | `getTopic()`
`void` | `setTopic(java.lang.String topic)`

Methods inherited from class org.hornetq.rest.queue.push.xml.PushRegistration
`getAuthenticationMechanism, getDestination, getHeaders, getId, getLoadedFrom, getSelector, getTarget, isDurable, setAuthenticationMechanism, setDestination, setDurable, setHeaders, setId, setLoadedFrom, setSelector, setTarget, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PushTopicRegistration

    public PushTopicRegistration()

Method Detail

### getTopic

    public java.lang.String getTopic()

### setTopic

    public void setTopic(java.lang.String topic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.